:root {
    --green: rgb(92, 168, 103);
    --green-sat: rgb(39, 206, 64);
    --red: rgb(168, 92, 92);
    --red-sat: rgb(228, 47, 47);
    --blue: rgb(77, 120, 160);
    --blue-sat: rgb(0, 132, 255);
    --green-grey: rgb(135, 184, 142);
    --grey-light: #eeeeee;
    --grey-white: #ffffff;
    --grey-med: #aaaaaa;
    --grey-dark: #555555;
}

body {
    background-color: var(--grey-dark);
    font-family: "Lucida Console", "Courier New", monospace;
    color: var(--grey-light);
}

table {
    border-spacing: 0;
}

button {
    padding: 10px;
    width: 200px;
    font-family: "Lucida Console", "Courier New", monospace;
    color: var(--grey-light);
    font-size: larger;
    box-shadow: 5px 10px 10px var(--grey-dark);
}

.start {
    background-color: var(--green);
}

.stop {
    background-color: var(--red);
}

.clear {
    background-color: var(--blue);
}

button:hover {
    color: var(--grey-white);
    transition: 0.5s;
}

.start:hover {
    background-color: var(--green-sat);
}

.stop:hover {
    background-color: var(--red-sat);
}

.clear:hover {
    background-color: var(--blue-sat);
}

.canvas, .header, .start-knop, .iteraties {
    width: fit-content;
    margin: auto;
}

.start-knop {
    margin-bottom: 20px;
}

.canvas {
    background-color: var(--grey-dark);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 5px 10px 10px var(--grey-dark);
}

.vak {
    background-color: var(--grey-light);
    width: 8px;
    height: 8px;
    border: 1px solid var(--grey-dark);
    margin: 0;
}

.alive {
    background-color: var(--grey-med);
}

.vak:hover {
    background-color: var(--grey-light);
    border: 1px solid var(--grey-white);
    opacity: 50%;
}